| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Attributes | List of all members
Ogre::TextureUnitState::TextureEffect Struct Reference

Internal structure defining a texture effect. More...

`#include <OgreTextureUnitState.h>`

## Public Attributes
Real | amplitude
Real | arg1
Real | arg2
Real | base
Controller< Real > * | controller
Real | frequency
const Frustum * | frustum
Real | phase
int | subtype
TextureEffectType | type
WaveformType | waveType

## Detailed Description

Internal structure defining a texture effect.

## Member Data Documentation

## ◆ type

TextureEffectType Ogre::TextureUnitState::TextureEffect::type

## ◆ subtype

int Ogre::TextureUnitState::TextureEffect::subtype

## ◆ arg1

Real Ogre::TextureUnitState::TextureEffect::arg1

## ◆ arg2

Real Ogre::TextureUnitState::TextureEffect::arg2

## ◆ waveType

WaveformType Ogre::TextureUnitState::TextureEffect::waveType

## ◆ base

Real Ogre::TextureUnitState::TextureEffect::base

## ◆ frequency

Real Ogre::TextureUnitState::TextureEffect::frequency

## ◆ phase

Real Ogre::TextureUnitState::TextureEffect::phase

## ◆ amplitude

Real Ogre::TextureUnitState::TextureEffect::amplitude

## ◆ controller

Controller<Real>* Ogre::TextureUnitState::TextureEffect::controller

## ◆ frustum

const Frustum* Ogre::TextureUnitState::TextureEffect::frustum

The documentation for this struct was generated from the following file:

- OgreTextureUnitState.h